#@ load("@ytt:data", "data")
#@ host = data.values.application.subdomain + "." + data.values.cluster.domain
---
defaultServer:
  url: #@ "https://" + host
  name: #@ host

ingress:
  enabled: true
  className: #@ data.values.cluster.ingress.className
  annotations:
    cert-manager.io/cluster-issuer: #@ data.values.cluster.tls.issuer
  hosts:
    - #@ host
  tls:
    - secretName: matrix-tls
      hosts:
        - #@ host

resources:
  requests:
    cpu: 10m
    memory: 32Mi
  limits:
    memory: 64Mi

podSecurityContext:
  runAsNonRoot: true
  runAsUser: 101
  runAsGroup: 101
  fsGroup: 101
  seccompProfile:
    type: RuntimeDefault

securityContext:
  allowPrivilegeEscalation: false
  readOnlyRootFilesystem: false
  capabilities:
    drop:
      - ALL
